aboutsummaryrefslogtreecommitdiff
path: root/test/lint/extended-lint-all.sh
diff options
context:
space:
mode:
authorpracticalswift <practicalswift@users.noreply.github.com>2018-12-14 14:50:21 +0100
committerpracticalswift <practicalswift@users.noreply.github.com>2019-06-26 16:57:14 +0200
commitc4606b84329d760d7cee144bebe05807857edaae (patch)
treeb8abcff8c3b042e2782fc4b0bd6d2f3c68385a13 /test/lint/extended-lint-all.sh
parent332c6134bb15384e5b91c631e821fe52a591d3bc (diff)
downloadbitcoin-c4606b84329d760d7cee144bebe05807857edaae.tar.xz
Add Travis check for single parameter constructors not marked "explicit"
Diffstat (limited to 'test/lint/extended-lint-all.sh')
-rwxr-xr-xtest/lint/extended-lint-all.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/lint/extended-lint-all.sh b/test/lint/extended-lint-all.sh
new file mode 100755
index 0000000000..65c51e02f5
--- /dev/null
+++ b/test/lint/extended-lint-all.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2019 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+#
+# This script runs all contrib/devtools/extended-lint-*.sh files, and fails if
+# any exit with a non-zero status code.
+
+# This script is intentionally locale dependent by not setting "export LC_ALL=C"
+# in order to allow for the executed lint scripts to opt in or opt out of locale
+# dependence themselves.
+
+set -u
+
+SCRIPTDIR=$(dirname "${BASH_SOURCE[0]}")
+LINTALL=$(basename "${BASH_SOURCE[0]}")
+
+for f in "${SCRIPTDIR}"/extended-lint-*.sh; do
+ if [ "$(basename "$f")" != "$LINTALL" ]; then
+ if ! "$f"; then
+ echo "^---- failure generated from $f"
+ exit 1
+ fi
+ fi
+done